%% Code accompanying "Uncertainty Quantification and Global Sensitivity Analysis for Economic Models"
%% by Daniel Harenberg, Stefano Marelli, Bruno Sudret, and Viktor Winschel

function Y = M_Y(X,~)

beta =  X(:,1);   % Discount factor                         
tau  =  X(:,2);   % Elasticity of intertemporal substitution
theta = X(:,3);   % Consumption and leisure substitution rate
alpha = X(:,4);   % Technical substitution rate              
delta = X(:,5);   % Depreciation rate                        
phi   = X(:,6);   % Capital adjustment cost parameter        
rho   = X(:,7);   % Autocorrelation of productivity          
sigma = X(:,8);   % Standard deviation of productivity shock 

[~,~,~,~,~,y] = M_steady_state(beta,tau,theta,alpha,delta,phi,rho,sigma);

Y(:,1) = y;

