%% Code accompanying "Uncertainty Quantification and Global Sensitivity Analysis for Economic Models"
%% by Daniel Harenberg, Stefano Marelli, Bruno Sudret, and Viktor Winschel

function M_plot_sens(data,leg,names,tit,figs,res)

% plot the indices for all components

uq_figure('Position',[50 50 500 400]);

if nargin == 6
    % plot also error bars
    low = res(:,:,1);
    high = res(:,:,2);
    l=length(data);

    if size(data,2)==2
        bar_handle = uq_bar([(1:l)' (1:l)'],data,'edgecolor','none');
        set(bar_handle(1),'FaceColor',[0,1,0])
        set(bar_handle(2),'FaceColor',[1,1,0])
        hold on
        errorbar([(1:l)'-0.1 0.1+(1:l)'],data,data-low,high-data,'x')
    else
        bar_handle = uq_bar((1:l)',data,'edgecolor','none');
        set(bar_handle(1),'FaceColor',[0,1,0])
        hold on
        errorbar((1:l)',data,data-low,high-data,'x')
    end
else
    bar_handle = uq_bar(data,'edgecolor','none');
    set(bar_handle(1),'FaceColor',[0,1,0])    
    if size(data,2)==2
        set(bar_handle(2),'FaceColor',[1,1,0])
    end
end


set(gca,'xtick',1:length(names),'xticklabel',names);
if not(isempty(leg))
    uq_legend(leg,'location','northwest','fontsize',12);
end
title(tit);
%ylabel('S_i');
xlim([0 length(names)+1]);

saveas(gcf, [figs '.fig']);
saveas(gcf, [figs '.png']);
close(gcf);
