%% Code accompanying "Uncertainty Quantification and Global Sensitivity Analysis for Economic Models"
%% by Daniel Harenberg, Stefano Marelli, Bruno Sudret, and Viktor Winschel

function [k,a,c,l,i,y] = M_steady_state(beta,tau,theta,alpha,delta,phi,rho,sigma)

a = 0;

l = (1-alpha) .* theta .* (1 - beta + beta .* delta) ./ ((1 - alpha .* theta ) .* ( 1 - beta ) + ( 1 - alpha ) .* beta .* delta);

k = l .* (( alpha .* beta) ./ (1 - beta + beta .* delta)) .^ ( 1     ./ ( 1 - alpha ));

y = l .* (( alpha .* beta) ./ (1 - beta + beta .* delta)) .^ ( alpha ./ ( 1 - alpha ));

i = delta .* k;

c = y - i;
